---
title: SEND Payment Link
slug: send-payment-link
icon: 🟩
createdAt: 2022-03-23T02:29:43.000Z
---

Send the link to your patient. The link can be sent via SMS and/or Email. This link will take them to a white-listed version of FeatherPay to complete their payment. &#x20;

From your backend code, send the patient an email with their invoice link using your API key and Order ID.  This will send to the email identified by `customerEmail` and/or via SMS identified by `billingAddress.telephone` on the order. &#x20;

By default, when the link is generated, the patient will have 3 chances to hit the URL or 72 hours.  If they do not pay after 3 hits to the URL (or 72 hours later), they will have a button to send a new link to the email address provided in the Create Order API call above.   Every time the below API call is made, it increases the number of retries for a patient (e.g. from 3 to 4) and the expiration of the link will be updated.

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://test-api.featherpay.io/api/v1/notifications/{orderId}/send-pay-link",
  "name": "Send Payment Link",
  "method": "POST",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [
      {
        "kind": "optional",
        "name": "types",
        "type": "Array",
        "description": "Can be “email” and/or “sms”. Default is “email”"
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "7LGWLdeETkW1P1bC0LImq",
        "code": "{\"message\":\"Email was sent successfully\"}",
        "language": "200",
        "customLabel": ""
      },
      {
        "id": "-JeQQe1oo9AOtl1sM-eFP",
        "code": "{\n    \"subErrors\":[],\n    \"status\":\"BAD_REQUEST\",\n    \"message\":\"Id: 017fb8be-ce71-437a-8a3d-7f19f74f6d41 does not match a saved store\"\n}\n",
        "language": "400",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "7LGWLdeETkW1P1bC0LImq"
  },
  "examples": {
    "languages": [
      {
        "id": "dipS18NvCqGwgC-FKSC2y",
        "code": "curl -X POST \\\n  --url 'https://test-api.featherpay.io/api/v1/notifications/order/:orderId/send-pay-link' \\\n  --header 'content-type: application/json;charset=UTF-8' \\\n  --header 'accept: application/json' \\\n  --header 'X-Api-Key: {Secret API Key}' \\\n  --header 'X-Store-Id: {Store ULID}' \\\n  --data '{\n    \"types\": [\"email\"] //Can be “email” and/or “sms”. Default is “email”\n  }'",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "dipS18NvCqGwgC-FKSC2y"
  },
  "description": "Send Payment Link via Email or SMS",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  }
}
```
:::








